          <my-about-instance>
            <div class="row">
              <div class="col-md-12 col-xl-6">
                <div class="about-instance-title">
                  <h1 class="title">{{ $res['about']->instance->name }}について</h1>
                  <a class="contact-admin" href="/about/contact">Contact us</a>
                </div>
                <div class="instance-badges">
                  @foreach ($res['about']->instance->categories as $cat)
                    <span class="badge badge-primary category">{{ ptGetCatId($cat) }}</span>
                  @endforeach
                  @foreach ($res['about']->instance->languages as $lan)
                    <span class="badge badge-secondary language">{{ $lan }}</span>
                  @endforeach
                </div>
                <div class="short-description">
                  <div class="block short-description">{{ $res['about']->instance->shortDescription }}</div>
                </div>
                <div id="administrators-and-sustainability" class="anchor"></div>
                <a class="anchor-link" href="/about/instance#administrators-and-sustainability">
                  <h2 class="middle-title">管理者とインスタンスの持続可能性</h2>
                </a>
                <div class="block administrator">
                  <div id="administrators" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#administrators">
                    <h3 class="section-title">運営者について</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->administrator); ?>
                  </div>
                </div>
                <div class="block creation-reason">
                  <div id="creation-reason" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#creation-reason">
                    <h3 class="section-title">なぜこのインスタンスを建てたのか</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->creationReason); ?>
                  </div>
                </div>
                <div class="block maintenance-lifetime">
                  <div id="maintenance-lifetime" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#maintenance-lifetime">
                    <h3 class="section-title">このインスタンスを運営者はどれぐらいの期間続ける予定か</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->maintenanceLifetime); ?>
                  </div>
                </div>
                <div class="block business-model">
                  <div id="business-model" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#business-model">
                    <h3 class="section-title">このインスタンスを維持するための資金をどうやって確保しているか</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->businessModel); ?>
                  </div>
                </div>
                <div id="information" class="anchor"></div>
                <a class="anchor-link" href="/about/instance#information">
                  <h2 class="middle-title">インスタンス情報</h2>
                </a>
                <div class="block description">
                  <div id="description" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#description">
                    <h3 _ngcontent-xxi-c196="" class="section-title">説明</h3>
                  </a>
                  <my-custom-markup-container>
                    <div class="custom-markup-container">
                      <div>
                        <?php echo nl2br($res['about']->instance->description); ?>
                      </div>
                    </div>
                  </my-custom-markup-container>
                </div>
                <div id="moderation" class="anchor"></div>
                <a class="anchor-link" href="/about/instance#moderation">
                  <h2 class="middle-title">モデレーション</h2>
                </a>
                <div class="block moderation-information">
                  <div id="moderation-information" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#moderation-information">
                    <h3 class="section-title">モデレーションについて</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->moderationInformation); ?>
                  </div>
                </div>
                <div class="block code-of-conduct">
                  <div id="code-of-conduct" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#code-of-conduct">
                    <h3 class="section-title">行動規範</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->codeOfConduct); ?>
                  </div>
                </div>
                <div class="block terms">
                  <div id="terms" class="anchor"></div>
                  <a class="anchor-link" href="/about/instance#terms">
                    <h3 class="section-title">利用規約</h3>
                  </a>
                  <div>
                    <?php echo nl2br($res['about']->instance->terms); ?>
                  </div>
                </div>
                @include('layout.component.about.about.other')
              </div>
              <div class="col-md-12 col-xl-6">
                <h2 class="sr-only">特徴</h2>
              </div>
              @include('layout.component.about.about.features')
              <div class="col">
                <div id="statistics" class="anchor"></div>
                <a class="anchor-link" href="/about/instance#statistics">
                  <h2 class="middle-title">統計</h2>
                </a>
                <my-instance-statistics>
                  <section>
                    <h3>ローカル</h3>
                    <div class="row">
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalUsers }}</p>
                            <p class="stat-label">ユーザー</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalLocalVideos }}</p>
                            <p class="stat-label">動画</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalLocalVideoViews }}</p>
                            <p class="stat-label">動画視聴回数</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalLocalVideoComments }}</p>
                            <p class="stat-label">動画のコメント</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalLocalVideoFilesSize / 1024 / 1024 / 1024 }} GiB</p>
                            <p class="stat-label">合計アップロードサイズ</p>
                          </div>
                        </div>
                      </div>
                    </div>
                    <h3>他インスタンスとの連合</h3>
                    <div class="row">
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalVideos }}</p>
                            <p class="stat-label">動画</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalVideoComments }}</p>
                            <p class="stat-label">動画のコメント</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalInstanceFollowers }}</p>
                            <p class="stat-label">フォロワー</p>
                          </div>
                        </div>
                      </div>
                      <div class="col-6 col-lg-4 col-xl-3">
                        <div class="card stat">
                          <div class="card-body">
                            <p class="stat-value">{{ $res['stats']->totalInstanceFollowing }}</p>
                            <p class="stat-label">フォロー</p>
                          </div>
                        </div>
                      </div>
                    </div>
                  </section>
                </my-instance-statistics>
              </div>
            </div>
          </my-about-instance>
