<?php

use Illuminate\Support\Facades\Route;

Route::get('/', 'Home@index');
Route::get('/home', 'Home@index');

Route::get('/a/{id}/{cat?}/{page?}', 'Account@index');
Route::get('/c/{id}/{cat?}/{page?}', 'Channel@index');

Route::group(['prefix' => 'w'], function () {
  Route::get('/{id}', 'Watch@index');
  Route::get('/p/{id}', 'Watch\Playlist@index');
});

Route::get('/logout', 'Logout@logout');
Route::group(['prefix' => 'login'], function () {
  Route::get('/', 'Login@index');
  Route::post('/', 'Login@login');
});
Route::get('/signup', 'Signup@index');

Route::group(['prefix' => 'about'], function () {
  Route::get('/', 'About@instance');
  Route::get('/instance', 'About@instance');
  Route::get('/lightpeer', 'About@lightpeer');
  Route::get('/follows', 'About@follows');
});

Route::group(['prefix' => 'search'], function () {
  Route::post('/', 'Search@index');
});

Route::group(['prefix' => 'my-account'], function () {
  Route::get('/', 'Myaccount\Settings@index');
  Route::get('/settings', 'Myaccount\Settings@index');
  Route::group(['prefix' => 'notifications'], function () {
    Route::post('/read', 'Myaccount\Notification@read');
    Route::post('/readAll', 'Myaccount\Notification@readAll');
    Route::get('/{page?}', 'Myaccount\Notification@index');
  });
  Route::get('/applications', 'Myaccount\Applications@index');
  Route::group(['prefix' => 'blocklist'], function () {
    Route::get('/', 'Myaccount\Blocklist\Accounts@index');
    Route::get('/accounts', 'Myaccount\Blocklist\Accounts@index');
    Route::get('/servers', 'Myaccount\Blocklist\Servers@index');
  });
});
Route::get('/my-library', 'Mylibrary@index');

Route::group(['prefix' => 'admin'], function () {
  Route::get('/', 'Admin\Users@index');
  Route::get('/users', 'Admin\Users@index');
});

Route::group(['prefix' => 'my-library'], function () {
  Route::get('/', 'Mylibrary\Videochannels@index');
  Route::get('/videos', 'Mylibrary\Videos@index');
  Route::get('/video-playlists', 'Mylibrary\Videoplaylists@index');

  Route::group(['prefix' => 'history'], function () {
    Route::get('/', 'Mylibrary\History@index');
    Route::get('/videos', 'Mylibrary\History\Videos@index');
  });
});

Route::group(['prefix' => 'videos'], function () {
  Route::get('/', 'Videos\Local@index');
  Route::get('/subscriptions', 'Videos\Subscriptions@index');
  Route::get('/overview/{page?}', 'Videos\Overview@index');
  Route::get('/trending/{page?}', 'Videos\Trending@index');
  Route::get('/recently-added/{page?}', 'Videos\Recentlyadded@index');
  Route::get('/local/{page?}', 'Videos\Local@index');
  Route::get('/upload', 'Videos\Upload@index');
});
